#include <WProgram.h> //It is very important to remember this!

float A     = 14080;
float AS    = 14917.2;
float B     = 15804.3;
float C     = 16744;
float CS    = 17739.7;
float D     = 18794.5;
float DS    = 19912.1;
float E     = 21096.2;
float F     = 22350.6;
float FS    = 23679.6;
float G     = 25087.7;
float GS    = 26579.5;
float A2_    = 28160;
float A2S   = 29834.5;
float B2    = 31608.5;
float C2    = 33488.1;
float C2S   = 35479.4;
float D2    = 37589.1;
float D2S   = 39824.3;
float E2    = 42192.3;
float F2    = 44701.2;
float F2S   = 47359.3;
float G2    = 50175.4;
float G2S   = 53159;
float A3_    = 56320;
//rhythm values
int wh = 1024;
int h  = 512;
int dq = 448;
int q = 256;
int qt = 170;
int de = 192;
int e = 128;
int et = 85;
int dsx = 96;
int sx = 64;
int thx = 32;

void freqout(int outpin, int freq, int t)
{
	int hperiod;                               //calculate 1/2 period in us
	long cycles, i;
	pinMode(outpin, OUTPUT);                   // turn on output pin
	
	hperiod = (500000 / freq) - 7;             // subtract 7 us to make up for digitalWrite overhead - determined empirically
	// calculate cycles
	cycles = ((long)freq * (long)t) / 1000;    // calculate cycles
	// Serial.print(freq);
	// Serial.print((char)9);                   // ascii 9 is tab - you have to coerce it to a char to work 
	// Serial.print(hperiod);
	// Serial.print((char)9);
	// Serial.println(cycles);
	
	for (i=0; i<= cycles; i++){              // play note for t ms 
		digitalWrite(outpin, HIGH); 
		delayMicroseconds(hperiod);
		digitalWrite(outpin, LOW); 
		delayMicroseconds(hperiod - 1);     // - 1 to make up for fractional microsecond in digitaWrite overhead
	}
	pinMode(outpin, INPUT);                // shut off pin to avoid noise from other operations
	
}


// =======================================================


